package SAE.ApiREST.WebService.Service;

import SAE.ApiREST.WebService.Model.Teacher;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

import java.util.ArrayList;
import java.util.List;

@Service
public class TeacherServiceStub implements ITeacherService {

    //todo() recevoir collections, ajouter collections, supprimer collections
    @Override
    public List<Teacher> getAllTeacher() {
        List<Teacher> allTeacher = new ArrayList<Teacher>();

        allTeacher.add(new Teacher(1, LocalDate.parse("12-01-2023", DateTimeFormatter.ISO_DATE), "aline.alipres@gmail.com", "MsGarconManque"));
        allTeacher.add(new Teacher(2, LocalDate.parse("20-08-2023", DateTimeFormatter.ISO_DATE), "Viviane.Delvecchio@gmail.com", "MmeMath"));

        return allTeacher;
    }



    @Override
    public Teacher getTeacherById(int id) {
        return new Teacher(id, "10-01-2021", "exemple.gmail.com", "testest");
    }

    @Override
    public Teacher getTeacherByUsername(String username) {
        return new Teacher(12, "30-08-2020", "dadadou@gmail.com", username);
    }

    @Override
    public Teacher getTeacherByMail(String mail) {
        return new Teacher(20, "24-12-2021", mail, "tructruc");
    }

    @Override
    public Teacher getTeacherByDate(LocalDate date) {
        return new Teacher(5, date, "doudouda@gmail.com", "username");
    }

    @Override
    public List<Teacher> addTeacher(int id, LocalDate date, String mail, String username) {
        List<Teacher> lteach = new ArrayList<Teacher>();
        lteach.add(new Teacher(id,date,mail,username));
        return lteach;
    }

    @Override
    public List<Teacher> deleteTeacher(int id) {
        List<Teacher> allTeacher = new ArrayList<Teacher>();

        allTeacher.add(new Teacher(1, LocalDate.parse("12-01-2023", DateTimeFormatter.ISO_DATE), "aline.alipres@gmail.com", "MsGarconManque"));
        allTeacher.add(new Teacher(2, LocalDate.parse("20-08-2023", DateTimeFormatter.ISO_DATE), "Viviane.Delvecchio@gmail.com", "MmeMath"));

        allTeacher.remove(getTeacherById(id));
        return allTeacher;
    }
}
