package SAE.ApiREST.WebService.Service;

import SAE.ApiREST.WebService.Model.Teacher;

import java.time.LocalDate;
import java.util.List;

public interface ITeacherService {

    //Todo() by id, by mail, by username, allProf, by date (order), suppression, ajout, FAIRE DES REGIONS!
    public List<Teacher> getAllTeacher();

    Teacher getTeacherById(int id);

    public Teacher getTeacherByUsername(String username);
    public Teacher getTeacherByMail(String mail);
    public Teacher getTeacherByDate(LocalDate date);
    public List<Teacher> addTeacher(int id, LocalDate date, String mail, String username);

    public List<Teacher> deleteTeacher(int id);
}
